<?php
require "vendor/autoload.php";
require "operaciones.php";

$app = new \Slim\Slim();
$db = new Operaciones();

///MIGRADO
$app->post('/usuario', function () use ($app, $db) {
    $allPostVars = $app->request->post();
    $app->contentType('application/json');

    if(isset($allPostVars['AppVersion']))
        $version = intval($allPostVars['AppVersion']);
    else
        $version = 0;

//file_put_contents('milog.txt', print_r($allPostVars, true)); 
    $data = array('response'=>$db->login($allPostVars['name'], $allPostVars['pass'], $version));
    echo json_encode($data);
});

///MIGRADO
$app->put('/usuario', function () use ($app, $db) {
    $allPutVars = $app->request->put();
    $app->contentType('application/json');
    $data = array('response'=>$db->registrar($allPutVars['api'], $allPutVars['cedula']));
    echo json_encode($data);
});

///MIGRADO
$app->get('/shopper/:cedula', function ($cedula) use ($app, $db) {
    $app->contentType('application/json');
    $data = array('response'=>$db->getNetworkersCicloActivo($cedula));
    echo json_encode($data);
});

///MIGRADO
$app->get('/pedido/:shopperId', function ($shopperId) use ($app, $db) {
    $app->contentType('application/json');
    $data = array('response'=>$db->getPedidoShopper($shopperId));
    echo json_encode($data);
});

///MIGRADO
$app->get('/pedido/', function () use ($app, $db) {
    $app->contentType('application/json');
    echo json_encode($db->getPedidoPendientesProcesar());
});

///MIGRADO
$app->put('/pedido/', function () use ($app, $db) {
    $body = $app->request->getBody();
    $db->actualizarProcesados($body);
});

///MIGRADO
$app->put('/detalle/', function () use ($app, $db) {
    $body = $app->request->getBody();
    $db->actualizarFacturados($body);
});

//MIGRADO
$app->post('/detalle', function () use ($app, $db) {
    $allPostVars = $app->request->post();
    $app->contentType('application/json');

    if($allPostVars['pedidoId'] == 0) {
        $pedido = array('response'=>$db->nuevoPedido($allPostVars['shopper'], $allPostVars['usuario'], $allPostVars['paisId'], $allPostVars['cicloId']));
        $allPostVars['pedidoId'] = $pedido['response'];	
    }
    $data = array('response'=>$db->agregarItemPedido($allPostVars['mascara'], $allPostVars['cantidad'], $allPostVars['pedidoId'], $allPostVars['paisId'], $allPostVars['cicloId']));
    echo json_encode($data);
});

//MIGRADO
$app->post('/sustituto', function () use ($app, $db) {
    $allPostVars = $app->request->post();
    $app->contentType('application/json');

    if($allPostVars['pedidoId'] == 0) {
        $pedido = array('response'=>$db->nuevoPedido($allPostVars['shopper'], $allPostVars['usuario'], $allPostVars['paisId'], $allPostVars['cicloId']));
        $allPostVars['pedidoId'] = $pedido['response']; 
    }
    $data = array('response'=>$db->agregarSustitutoPedido($allPostVars['mascara'], $allPostVars['cantidad'], $allPostVars['pedidoId'], $allPostVars['paisId'], $allPostVars['cicloId']));
    echo json_encode($data);
});

///MIGRADO
$app->delete('/detalle/:detalleId', function ($detalleId) use ($app, $db) {
    $app->contentType('application/json');
    $data = array('response'=>$db->eliminarItemPedido($detalleId));
    echo json_encode($data);
});

$app->run();
?>